Subject: Re: [PATCH] ip6_tunnel: set rtnl_link_ops before calling register_netdevice

From: Nicolas Dichtel <[email-masked]>
Date: Mon, 4 Apr 2016 09:51:31 +0200

Le 01/04/2016 22:17, Thadeu Lima de Souza Cascardo a écrit :
> When creating an ip6tnl tunnel with ip tunnel, rtnl_link_ops is not set
> before ip6_tnl_create2 is called. When register_netdevice is called, there
> is no linkinfo attribute in the NEWLINK message because of that.
>
> Setting rtnl_link_ops before calling register_netdevice fixes that.
>
> Signed-off-by: Thadeu Lima de Souza Cascardo <[email-masked]>
Fixes: 0b112457229d ("ip6tnl: add support of link creation via rtnl")
Acked-by: Nicolas Dichtel <[email-masked]>